<%args>
$outlet
$on => 0
$off => 0
$reset => 0
$return => undef
</%args>
<%perl>
my @outlet = Ucam::Infra::PDU::Outlet->find($outlet);

$on = !!$on;
$off = !!$off;
$reset = !!$reset;

$on+$off+$reset == 1 || die "Wrong number of actions";

my @unauthorisedoutlet = ();
$r->method eq 'POST' or die "Unexpected method\n";
</%perl>
% outlet: foreach my $o (@outlet) {
%     unless ($o->box && $o->box->sysadmin_is($r->user)) {
%         push @unauthorisedoutlet, $o;
%         next outlet;
%     }
%     $on && $o->on;
%     $off && $o->off;
%     $reset && $o->reboot;
% }
% $m->redirect($return) if defined $return;
<p>Unauthorised for:</p>
<ul>
% foreach my $o (@unauthorisedoutlet) {
<li><% $outlet %></li>
% }
</ul>
<%once>
use Ucam::Infra::PDU::Outlet;
</%once>
